Subject: How to localize "git push"?

From: Peter Krefting <[email-masked]>
Date: Wed, 26 Nov 2025 08:50:15 +0100

Hi!

Re: https://fosstodon.org/@McPringle/115611195011002487

The message shown when running "git push" without any changes queued is 
always shown in English, whereas the corresponding message in "git pull" 
is properly localized.

I looked at the sources, and the string "Everything up-to-date\n" is 
included in both builtin/send-pack.c and transport.c, with both 
instances annotated with a comment "stable plumbing output; do not 
modify or localize".

How do we fix that? Having the message show in English from "git push" 
is confusing. What is the corresponding plumbing command that needs to 
have it machine-readable, so that we can fork that to fix "git push"?

-- 
\\// Peter - http://www.softwolves.pp.se/